%PAKCS1.14 swi7 VARIABLESHARING

:-noSingletonWarnings.
:-noRedefineWarnings.
:-noDiscontiguousWarnings.

:-importModule('Maybe').
:-importModule('Prelude').
:-importModule('RedBlackTree').


:-curryModule('Set').

%%%%%%%%%%%% function types %%%%%%%%%%%%%%%%%%%
:-multifile functiontype/6.
:-dynamic functiontype/6.
functiontype('Set.empty',empty,0,'Set.empty',nofix,'TCons'('RedBlackTree.RedBlackTree',[_G723684])).
functiontype('Set.null',null,0,'Set.null',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G732596]),'TCons'('Prelude.Bool',[]))).
functiontype('Set.elem',elem,1,'Set.elem',nofix,'FuncType'(_G741466,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G741466]),'TCons'('Prelude.Bool',[])))).
functiontype('Set.insert',insert,0,'Set.insert',nofix,'FuncType'(_G750426,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G750426]),'TCons'('RedBlackTree.RedBlackTree',[_G750426])))).
functiontype('Set.delete',delete,0,'Set.delete',nofix,'FuncType'(_G759428,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G759428]),'TCons'('RedBlackTree.RedBlackTree',[_G759428])))).
functiontype('Set.toList',toList,0,'Set.toList',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G768511]),'TCons'([],[_G768511]))).
functiontype('Set.fromList',fromList,0,'Set.fromList',nofix,'FuncType'('TCons'([],[_G777366]),'TCons'('RedBlackTree.RedBlackTree',[_G777366]))).
functiontype('Set.union',union,1,'Set.union',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G786362]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G786362]),'TCons'('RedBlackTree.RedBlackTree',[_G786362])))).
functiontype('Set.intersect',intersect,2,'Set.intersect',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G795454]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G795454]),'TCons'('RedBlackTree.RedBlackTree',[_G795454])))).
functiontype('Set.disjoint',disjoint,2,'Set.disjoint',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G804543]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G804543]),'TCons'('Prelude.Bool',[])))).

%%%%%%%%%%%% constructor types %%%%%%%%%%%%%%%%%%%
:-multifile constructortype/7.
:-dynamic constructortype/7.

%%%%%%%%%%%% function definitions %%%%%%%%%%%%%%%%%%%
'Set.empty'(_G825685,_G825686,_G825687):-freeze(_G825686,'blocked_Set.empty'(_G825685,_G825686,_G825687)).
'blocked_Set.empty'(_G825843,_G825846,_G825849):-hnf('RedBlackTree.empty'(partcall(2,'Prelude.==',[]),partcall(2,'Prelude.==',[]),partcall(2,'Prelude.<',[])),_G825843,_G825846,_G825849).

'Set.null'(_G826509,_G826510,_G826511):-freeze(_G826510,'blocked_Set.null'(_G826509,_G826510,_G826511)).
'blocked_Set.null'(_G826547,_G826550,_G826553):-hnf(partcall(1,'RedBlackTree.isEmpty',[]),_G826547,_G826550,_G826553).

'Set.elem'(_G826903,_G826904,_G826905,_G826906):-freeze(_G826905,'blocked_Set.elem'(_G826903,_G826904,_G826905,_G826906)).
'blocked_Set.elem'(_G826941,_G827068,_G827071,_G827074):-hnf('Prelude..'(partcall(1,'Maybe.isJust',[]),partcall(1,'RedBlackTree.lookup',[_G826941])),_G827068,_G827071,_G827074).

'Set.insert'(_G827716,_G827717,_G827718):-freeze(_G827717,'blocked_Set.insert'(_G827716,_G827717,_G827718)).
'blocked_Set.insert'(_G827754,_G827757,_G827760):-hnf(partcall(2,'RedBlackTree.update',[]),_G827754,_G827757,_G827760).

'Set.delete'(_G828149,_G828150,_G828151):-freeze(_G828150,'blocked_Set.delete'(_G828149,_G828150,_G828151)).
'blocked_Set.delete'(_G828187,_G828190,_G828193):-hnf(partcall(2,'RedBlackTree.delete',[]),_G828187,_G828190,_G828193).

'Set.toList'(_G828582,_G828583,_G828584):-freeze(_G828583,'blocked_Set.toList'(_G828582,_G828583,_G828584)).
'blocked_Set.toList'(_G828620,_G828623,_G828626):-hnf(partcall(1,'RedBlackTree.tree2list',[]),_G828620,_G828623,_G828626).

'Set.fromList'(_G829060,_G829061,_G829062):-freeze(_G829061,'blocked_Set.fromList'(_G829060,_G829061,_G829062)).
'blocked_Set.fromList'(_G829178,_G829181,_G829184):-hnf(partcall(1,'Prelude.foldr',['Set.empty','Set.insert']),_G829178,_G829181,_G829184).

'Set.union'(_G829698,_G829699,_G829700,_G829701):-freeze(_G829700,'blocked_Set.union'(_G829698,_G829699,_G829700,_G829701)).
'blocked_Set.union'(_G829736,_G829903,_G829906,_G829909):-hnf('Prelude..'(partcall(1,'Prelude.foldr',[_G829736,'Set.insert']),'Set.toList'),_G829903,_G829906,_G829909).

'Set.intersect'(_G830662,_G830663,_G830664,_G830665,_G830666):-freeze(_G830665,'blocked_Set.intersect'(_G830662,_G830663,_G830664,_G830665,_G830666)).
'blocked_Set.intersect'(_G830705,_G830714,_G831074,_G831077,_G831080):-hnf('Prelude.$'('Set.fromList','Prelude.$'(partcall(1,'Prelude.filter',[partcall(1,'Prelude.flip',[_G830714,partcall(1,'Set.elem',[])])]),'Prelude.apply'('Set.toList',_G830705))),_G831074,_G831077,_G831080).

'Set.disjoint'(_G832260,_G832261,_G832262,_G832263,_G832264):-freeze(_G832263,'blocked_Set.disjoint'(_G832260,_G832261,_G832262,_G832263,_G832264)).
'blocked_Set.disjoint'(_G832303,_G832312,_G832472,_G832475,_G832478):-hnf('Prelude.apply'('Set.null','Set.intersect'(_G832303,_G832312)),_G832472,_G832475,_G832478).

:-costCenters(['']).




%%%%% Number of shared variables: 0
